/* $Id: minigraph.h,v 1.1.1.1 1996/10/02 10:35:51 roitzsch Exp $ */

#ifndef __MINIGRAPH__
#define __MINIGRAPH__

#include <stdio.h>
#include <string.h>

#include "minigraphconst.h"

//-------------------------------------------------------------------------

typedef double xreal;


//-------------------------------------------------------------------------

class Driver;


class GRAPHIC
{
  public:

    GRAPHIC::GRAPHIC(int type, float size=0.5);
    ~GRAPHIC();

    PrintGraph();
    ComputeScaling(Driver& driver);


    xreal   minX, minY, maxX, maxY,
	   slMinX, slMinY, slMaxX, slMaxY,
	   top, left, bottom, right,
	   drXcm, drYcm, uXdr, uYdr, uXcm, uYcm,
	   drRes,
	   uRes, uPenSz, uFntSz,
	   xRes, yRes;
    xreal   xScal, yScal, xTrans, yTrans;

    int	   ready, id, wdNo, newScal, firstClip,
	   wdOrgX, wdOrgY, wdWdth, wdHght,
	   maxWd, maxCol, maxGry, /*fillP, clipP,*/
	   mark,
	   drPenSz, linestyle, drFntSz, FntProp,
	   penCol, fntCol, mrkCol, fllCol, backgrCol,
	   prec, scalFit, buffer, page_count, line_count;

    char   *caption, *fontName, *fileName; 
    FILE   *file;

};

static const char captionName[] = "MiniGraphic";
extern FILE *miniErrorFile;

#endif
